package com.mortals.xhx.module.one.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:OneClassify
* date: 2021-9-22 20:09:50
*/
public class OneClassifyEntity extends OneClassifyEntityExt{
    private static final long serialVersionUID = 1632312590973L;


    /**
    * 分类名称
    */
    private String classifyName;

    /**
    * 分类引导提问
    */
    private String tName;

    /**
    * 分类级别
    */
    private Integer classifyLevel;

    /**
    * 业务ID
    */
    private String businessId;

    /**
    * 事项ID
    */
    private String matterIds;

    /**
    * 站点ID
    */
    private Long siteId;

    /**
    * 父级ID
    */
    private Long parentId;

    /**
    * 分类备注
    */
    private String sortRemarks;

    /**
    * 是否问题，0问题，1是答案 默认0
    */
    private Integer isAns;

    /**
    * 是否叶子节点，0否，1是 默认0
    */
    private Integer isLeaf;

    /**
    * 是否删除
    */
    private Integer deleted;

    /**
    * 创建人id
    */
    private Long createUserId;

    /**
    * 创建人名称
    */
    private String createUserName;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 修改人
    */
    private Long updateUserId;

    /**
    * 修改人名称
    */
    private String updateUserName;

    /**
    * 更新时间
    */
    private Date updateTime;

    public OneClassifyEntity(){

    }
    /**
    * 获取 分类名称
    * @return classifyName
    */
    public String getClassifyName() {
        return this.classifyName;
    }
    /**
    * 设置 分类名称
    * @param classifyName
    */
    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }
    /**
    * 获取 分类引导提问
    * @return tName
    */
    public String getTName() {
        return this.tName;
    }
    /**
    * 设置 分类引导提问
    * @param tName
    */
    public void setTName(String tName) {
        this.tName = tName;
    }
    /**
    * 获取 分类级别
    * @return classifyLevel
    */
    public Integer getClassifyLevel() {
        return this.classifyLevel;
    }
    /**
    * 设置 分类级别
    * @param classifyLevel
    */
    public void setClassifyLevel(Integer classifyLevel) {
        this.classifyLevel = classifyLevel;
    }
    /**
    * 获取 业务ID
    * @return businessId
    */
    public String getBusinessId() {
        return this.businessId;
    }
    /**
    * 设置 业务ID
    * @param businessId
    */
    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }
    /**
    * 获取 事项ID
    * @return matterIds
    */
    public String getMatterIds() {
        return this.matterIds;
    }
    /**
    * 设置 事项ID
    * @param matterIds
    */
    public void setMatterIds(String matterIds) {
        this.matterIds = matterIds;
    }
    /**
    * 获取 站点ID
    * @return siteId
    */
    public Long getSiteId() {
        return this.siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId) {
        this.siteId = siteId;
    }
    /**
    * 获取 父级ID
    * @return parentId
    */
    public Long getParentId() {
        return this.parentId;
    }
    /**
    * 设置 父级ID
    * @param parentId
    */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
    /**
    * 获取 分类备注
    * @return sortRemarks
    */
    public String getSortRemarks() {
        return this.sortRemarks;
    }
    /**
    * 设置 分类备注
    * @param sortRemarks
    */
    public void setSortRemarks(String sortRemarks) {
        this.sortRemarks = sortRemarks;
    }
    /**
    * 获取 是否问题，0问题，1是答案 默认0
    * @return isAns
    */
    public Integer getIsAns() {
        return this.isAns;
    }
    /**
    * 设置 是否问题，0问题，1是答案 默认0
    * @param isAns
    */
    public void setIsAns(Integer isAns) {
        this.isAns = isAns;
    }
    /**
    * 获取 是否叶子节点，0否，1是 默认0
    * @return isLeaf
    */
    public Integer getIsLeaf() {
        return this.isLeaf;
    }
    /**
    * 设置 是否叶子节点，0否，1是 默认0
    * @param isLeaf
    */
    public void setIsLeaf(Integer isLeaf) {
        this.isLeaf = isLeaf;
    }
    /**
    * 获取 是否删除
    * @return deleted
    */
    public Integer getDeleted() {
        return this.deleted;
    }
    /**
    * 设置 是否删除
    * @param deleted
    */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }
    /**
    * 获取 创建人id
    * @return createUserId
    */
    public Long getCreateUserId() {
        return this.createUserId;
    }
    /**
    * 设置 创建人id
    * @param createUserId
    */
    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }
    /**
    * 获取 创建人名称
    * @return createUserName
    */
    public String getCreateUserName() {
        return this.createUserName;
    }
    /**
    * 设置 创建人名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 修改人
    * @return updateUserId
    */
    public Long getUpdateUserId() {
        return this.updateUserId;
    }
    /**
    * 设置 修改人
    * @param updateUserId
    */
    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }
    /**
    * 获取 修改人名称
    * @return updateUserName
    */
    public String getUpdateUserName() {
        return this.updateUserName;
    }
    /**
    * 设置 修改人名称
    * @param updateUserName
    */
    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }
    /**
    * 获取 更新时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 更新时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof OneClassifyEntity) {
            OneClassifyEntity tmp = (OneClassifyEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",classifyName:").append(getClassifyName())
                .append(",tName:").append(getTName())
                .append(",classifyLevel:").append(getClassifyLevel())
                .append(",businessId:").append(getBusinessId())
                .append(",matterIds:").append(getMatterIds())
                .append(",siteId:").append(getSiteId())
                .append(",parentId:").append(getParentId())
                .append(",sortRemarks:").append(getSortRemarks())
                .append(",isAns:").append(getIsAns())
                .append(",isLeaf:").append(getIsLeaf())
                .append(",deleted:").append(getDeleted())
                .append(",createUserId:").append(getCreateUserId())
                .append(",createUserName:").append(getCreateUserName())
                .append(",createTime:").append(getCreateTime())
                .append(",updateUserId:").append(getUpdateUserId())
                .append(",updateUserName:").append(getUpdateUserName())
                .append(",updateTime:").append(getUpdateTime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.classifyName = null;
         this.tName = null;
         this.classifyLevel = null;
         this.businessId = null;
         this.matterIds = null;
         this.siteId = null;
         this.parentId = null;
         this.sortRemarks = null;
         this.isAns = null;
         this.isLeaf = null;
         this.deleted = null;
         this.createUserId = null;
         this.createUserName = null;
         this.createTime = null;
         this.updateUserId = null;
         this.updateUserName = null;
         this.updateTime = null;
    }
}